<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for bore.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
bore - do miscellaneous code transformations

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>bore</B> [ <I>options</I> ] <I>infile</I> <I>outfile</I> { <I>infile</I> <I>outfile</I> }*

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>bore</I> program does miscellaneous code transformations.
The distinguishing feature of <I>bore</I> compared to other
transformation programs such as <I>porky</I> is that <I>bore</I> does
not build expression trees. Instead it maintains the lowlevel
instruction ordering.

<H2><A NAME="sect3" HREF="#toc3"><B>Options</B></A></H2>

<P>
<B>-spill-instr-ops</B><BR>

This causes all instruction operands (the structure
of expression trees) to be spilled to variables.

<DL>

<DT><B>-build-instr-ops</B></DT></DT>
<DD>
This causes instruction operands to replace singledef,
single-use variables wherever possible, more
or less undoing the results of the <B>-spill-instr-ops</B>
pass and allowing expression trees to be built by
later passes.
</DD>

<DT><B>-spill-prefix</B> <I>pref</I></DT></DT>
<DD>
This causes the <B>-spill-instr-ops</B> pass to use <I>pref</I>
as the prefix for spill variables it creates. The
new variables will use <I>pref</I> followed by a positive
decimal integer as their names. The default prefix
is ``_spill''.
</DD>
</DL>

<H2><A NAME="sect4" HREF="#toc4"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">Options</A></LI>
<LI><A NAME="toc4" HREF="#sect4">History</A></LI>
</UL>
</BODY></HTML>
